### Hierarchy

- JsonFormsAbstractControl<StatePropsOfArrayLayout>
  - ArrayLayoutRenderer

### Implements

- OnInit
- OnDestroy
- OnInit
- OnDestroy

## Index

### Constructors

- constructor

### Properties

- addAriaLabel
- addItem
- addTooltip
- data
- description
- disabled
- enabled
- error
- form
- getEventValue
- hidden
- id
- jsonFormsService
- label
- noData
- noDataMessage
- path
- propsPath
- removeAriaLabel
- removeItems
- removeTooltip
- rootSchema
- schema
- scopedSchema
- subscription
- uischema
- uischemas
- validator
- visible

### Methods

- add
- getOwnProps
- getProps
- isEnabled
- mapAdditionalProps
- mapToProps
- ngOnDestroy
- ngOnInit
- onChange
- remove
- shouldShowUnfocusedDescription
- trackByFn
- triggerValidation

## Constructors

### constructor

- new ArrayLayoutRenderer(jsonFormsService: JsonFormsAngularService): ArrayLayoutRenderer

- Overrides JsonFormsAbstractControl.__constructor

  - Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:137

  #### Parameters

  - ##### jsonFormsService: JsonFormsAngularService

  #### Returns ArrayLayoutRenderer

## Properties

### addAriaLabel

addAriaLabel: string

- Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:127

### addItem

addItem: (path: string, value: any) => () => void

- Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:132

#### Type declaration

- - (path: string, value: any): () => void

  - #### Parameters

    - ##### path: string

    - ##### value: any

    #### Returns () => void

    - - (): void

      - #### Returns void

### addTooltip

addTooltip: string

- Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:126

### data

data: any

Inherited from AutocompleteControlRenderer.data

- Defined in packages/angular/lib/abstract-control.d.ts:14

### description

description: string

Inherited from AutocompleteControlRenderer.description

- Defined in packages/angular/lib/abstract-control.d.ts:16

### disabled

disabled: boolean

Inherited from AutocompleteControlRenderer.disabled

- Defined in packages/angular/lib/abstract-control.d.ts:10

### enabled

enabled: boolean

Inherited from AutocompleteControlRenderer.enabled

- Defined in packages/angular/lib/abstract-control.d.ts:20

### error

error: string | null

Inherited from AutocompleteControlRenderer.error

- Defined in packages/angular/lib/abstract-control.d.ts:17

### form

form: FormControl

Inherited from AutocompleteControlRenderer.form

- Defined in packages/angular/lib/abstract-control.d.ts:12

### getEventValue

getEventValue: (event: any) => any

Inherited from MasterListComponent.getEventValue

- Defined in packages/angular/lib/abstract-control.d.ts:24

#### Type declaration

- - (event: any): any

  - #### Parameters

    - ##### event: any

    #### Returns any

### hidden

hidden: boolean

Inherited from AutocompleteControlRenderer.hidden

- Defined in packages/angular/lib/abstract-control.d.ts:21

### id

id: string

Inherited from AutocompleteControlRenderer.id

- Defined in packages/angular/lib/abstract-control.d.ts:9

### Protected jsonFormsService

jsonFormsService: JsonFormsAngularService

Inherited from AutocompleteControlRenderer.jsonFormsService

- Defined in packages/angular/lib/abstract-control.d.ts:8

### label

label: string

Inherited from AutocompleteControlRenderer.label

- Defined in packages/angular/lib/abstract-control.d.ts:15

### noData

noData: boolean

- Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:131

### noDataMessage

noDataMessage: string

- Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:128

### path

path: string

Inherited from AutocompleteControlRenderer.path

- Defined in packages/angular/lib/base.renderer.d.ts:5

### propsPath

propsPath: string

Inherited from AutocompleteControlRenderer.propsPath

- Defined in packages/angular/lib/abstract-control.d.ts:22

### removeAriaLabel

removeAriaLabel: string

- Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:130

### removeItems

removeItems: (path: string, toDelete: number[]) => () => void

- Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:133

#### Type declaration

- - (path: string, toDelete: number[]): () => void

  - #### Parameters

    - ##### path: string

    - ##### toDelete: number[]

    #### Returns () => void

    - - (): void

      - #### Returns void

### removeTooltip

removeTooltip: string

- Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:129

### rootSchema

rootSchema: JsonSchema

Inherited from AutocompleteControlRenderer.rootSchema

- Defined in packages/angular/lib/abstract-control.d.ts:19

### schema

schema: JsonSchema

Inherited from AutocompleteControlRenderer.schema

- Defined in packages/angular/lib/base.renderer.d.ts:4

### scopedSchema

scopedSchema: JsonSchema

Inherited from AutocompleteControlRenderer.scopedSchema

- Defined in packages/angular/lib/abstract-control.d.ts:18

### subscription

subscription: Subscription

Inherited from AutocompleteControlRenderer.subscription

- Defined in packages/angular/lib/abstract-control.d.ts:13

### uischema

uischema: ControlElement

Inherited from AutocompleteControlRenderer.uischema

- Defined in packages/angular/lib/base.renderer.d.ts:3

### uischemas

uischemas: { tester: UISchemaTester; uischema: UISchemaElement }[]

- Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:134

### validator

validator: ValidatorFn

Inherited from AutocompleteControlRenderer.validator

- Defined in packages/angular/lib/abstract-control.d.ts:28

### visible

visible: boolean

Inherited from AutocompleteControlRenderer.visible

- Defined in packages/angular/lib/abstract-control.d.ts:11

## Methods

### add

- add(): void

- - Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:148

  #### Returns void

### Protected getOwnProps

- getOwnProps(): OwnPropsOfControl

- Inherited from BooleanControlRenderer.getOwnProps

  Overrides LabelRenderer.getOwnProps

  - Defined in packages/angular/lib/abstract-control.d.ts:32

  #### Returns OwnPropsOfControl

### getProps

- getProps(index: number): OwnPropsOfRenderer

- - Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:168

  #### Parameters

  - ##### index: number

  #### Returns OwnPropsOfRenderer

### isEnabled

- isEnabled(): boolean

- Inherited from AutocompleteControlRenderer.isEnabled

  - Defined in packages/angular/lib/abstract-control.d.ts:31

  #### Returns boolean

### mapAdditionalProps

- mapAdditionalProps(props: ArrayLayoutProps): void

- Overrides AutocompleteControlRenderer.mapAdditionalProps

  - Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:159

  #### Parameters

  - ##### props: ArrayLayoutProps

  #### Returns void

### mapToProps

- mapToProps(state: JsonFormsState): StatePropsOfArrayLayout

- Overrides JsonFormsAbstractControl.mapToProps

  - Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:141

  #### Parameters

  - ##### state: JsonFormsState

  #### Returns StatePropsOfArrayLayout

### ngOnDestroy

- ngOnDestroy(): void

- Inherited from AutocompleteControlRenderer.ngOnDestroy

  - Defined in packages/angular/lib/abstract-control.d.ts:30

  #### Returns void

### ngOnInit

- ngOnInit(): void

- Overrides BooleanControlRenderer.ngOnInit

  - Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:151

  #### Returns void

### onChange

- onChange(ev: any): void

- Inherited from AutocompleteControlRenderer.onChange

  - Defined in packages/angular/lib/abstract-control.d.ts:25

  #### Parameters

  - ##### ev: any

  #### Returns void

### remove

- remove(index: number): void

- - Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:145

  #### Parameters

  - ##### index: number

  #### Returns void

### shouldShowUnfocusedDescription

- shouldShowUnfocusedDescription(): boolean

- Inherited from AutocompleteControlRenderer.shouldShowUnfocusedDescription

  - Defined in packages/angular/lib/abstract-control.d.ts:26

  #### Returns boolean

### trackByFn

- trackByFn(index: number): number

- - Defined in packages/angular-material/src/layouts/array-layout.renderer.ts:188

  #### Parameters

  - ##### index: number

  #### Returns number

### Protected triggerValidation

- triggerValidation(): void

- Inherited from AutocompleteControlRenderer.triggerValidation

  - Defined in packages/angular/lib/abstract-control.d.ts:34

  #### Returns void

Generated using TypeDoc